## indi-orion-ssg3 0.1+20220129131520

=== debian/changelog ===
indi-orion-ssg3 (0.1+20220129131520-1) unstable; urgency=medium

  * build from indi-3rdparty git after release of version 1.9.4
  * build together with indi version 1.9.4

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 29 Jan 2022 16:52:37 +0000

indi-orion-ssg3 (0.1-2) unstable; urgency=medium

  * source upload
  * debian/control: move to debian-astro

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 25 Dec 2021 14:59:12 +0100

indi-orion-ssg3 (0.1-1) unstable; urgency=medium

  * initial version

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 20 Dec 2021 17:59:12 +0000

## indi-orion-ssg3 0.1+20220611131000

=== debian/changelog ===
indi-orion-ssg3 (0.1+20220611131000-1) unstable; urgency=medium

  * build version from git
  * based on indi-3rdparty release 1.9.6

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 11 Jun 2022 13:10:10 +0000

## indi-orion-ssg3 0.1+20221222180647

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)
PROJECT(indi-orion_ssg3 CXX C)

LIST(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake_modules/")
LIST(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/../cmake_modules/")
include(GNUInstallDirs)

IF(APPLE)
ELSE(APPLE)
set(RULES_INSTALL_DIR "/lib/udev/rules.d")
ENDIF()
set (ORION_SSG3_VERSION_MAJOR 0)
set (ORION_SSG3_VERSION_MINOR 1)

find_package(CFITSIO REQUIRED)
find_package(INDI REQUIRED)
find_package(ZLIB REQUIRED)
find_package(USB1 REQUIRED)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h )
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/indi_orion_ssg3.xml.cmake ${CMAKE_CURRENT_BINARY_DIR}/indi_orion_ssg3.xml)

include_directories( ${CMAKE_CURRENT_BINARY_DIR})
include_directories( ${CMAKE_CURRENT_SOURCE_DIR})
include_directories( ${INDI_INCLUDE_DIR})
include_directories( ${CFITSIO_INCLUDE_DIR})

include(CMakeCommon)

# This warning only valid for Clang above version 3.9
IF ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang" AND CMAKE_CXX_COMPILER_VERSION VERSION_GREATER 3.8.9)
    SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-undefined-var-template")
ENDIF ()

########### DSI ###########
set(indiorionssg3_SRCS
   ${CMAKE_CURRENT_SOURCE_DIR}/orion_ssg3.c
   ${CMAKE_CURRENT_SOURCE_DIR}/orion_ssg3_ccd.cpp
   )

IF (UNITY_BUILD)
    ENABLE_UNITY_BUILD(indiorionssg3 indiorionssg3_SRCS 10 cpp)
ENDIF ()

add_executable(indi_orion_ssg3_ccd ${indiorionssg3_SRCS})

target_link_libraries(indi_orion_ssg3_ccd ${INDI_LIBRARIES} ${CFITSIO_LIBRARIES} ${USB1_LIBRARIES} )

install(TARGETS indi_orion_ssg3_ccd RUNTIME DESTINATION bin )

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/indi_orion_ssg3.xml DESTINATION ${INDI_DATA_DIR})

IF (${CMAKE_SYSTEM_NAME} MATCHES "Linux")
install(FILES 99-orionssg3.rules DESTINATION ${RULES_INSTALL_DIR})
ENDIF()

=== debian/changelog ===
indi-orion-ssg3 (0.1+20221222180647-3) unstable; urgency=medium

  * add cmake4.patch (Closes: #1113029)
  * add debian/gbp.conf
  * add debian/salsa-ci.yml

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 27 Sep 2025 00:34:41 +0200

indi-orion-ssg3 (0.1+20221222180647-2) unstable; urgency=medium

  * Use udev.pc to place udev files. (Closes: #1058850)
    Thanks to Chris Hofstaedtler for the patch
    - debian/control: update dependencies for /usr-merge
    - debian/rules: Use udev.pc to place udev files.
  * debian/control: bump standard to 4.6.2 (no changes)
  * debian/copyright: update years
  * add upstream metadata
  * add CMakelists-UDEVRULES_INSTALL_DIR.patch
    Thanks to Chris Hofstaedtler for the patch

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 20 Dec 2023 18:50:02 +0100

indi-orion-ssg3 (0.1+20221222180647-1) unstable; urgency=medium

  * build version from git
  * based on indi-3rdparty release 1.9.9
  * new upstream version 0.1

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 22 Dec 2022 18:08:01 +0000

=== debian/control ===
Source: indi-orion-ssg3
Section: science
Priority: optional
Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper-compat (= 13)
	, cmake
	, libusb-1.0-0-dev
	, libcfitsio-dev
	, libindi-dev
	, zlib1g-dev
	, libnova-dev
	, pkgconf
	, systemd-dev
Standards-Version: 4.6.2
Homepage: https://github.com/indilib/indi-3rdparty
Rules-Requires-Root: no
XS-Autobuild: yes
Vcs-Browser: https://salsa.debian.org/debian-astro-team/indi-orion-ssg3
Vcs-Git: https://salsa.debian.org/debian-astro-team/indi-orion-ssg3.git

Package: indi-orion-ssg3
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: INDI Driver for Orion StarShoot G3 and G4 cameras
 This package contains the INDI driver for the Orion StarShoot G3 cameras.
 It expected that this will also work with Brightstar Mammut Lyuba cameras.
 .
 This driver is compatible with any INDI client such as KStars or Xephem.
